> For the complete documentation index, see [llms.txt](https://docs.getbeaned.me/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.getbeaned.me/bot-documentation/topic-switches.md).

# Topic Switches

To use a Topic Switch, add it anywhere in the topic of the desired channel.

| Switch                                 | Action                                                                                                          |
| -------------------------------------- | --------------------------------------------------------------------------------------------------------------- |
| `[getbeaned:disable_automod]`          | Disable the automod if it's enabled globally                                                                    |
| `[getbeaned:enable_automod]`           | Enable the automod even if it's disabled globally                                                               |
| `[getbeaned:disable_invite_detection]` | Disable detecting invites in a channel                                                                          |
| `[getbeaned:disable_spam_detection]`   | Disable spam detection, leaving others checks working. \[BETA: Might not work forever]                          |
| `[getbeaned:disable_logging]`          | Disable logging in this channel. Deleted/Edited messages won't be logged to message logs.                       |
| `[getbeaned:auto_publish]`             | If the channel is a news/announcement channel, automatically crosspost/publish messages to subscribed channels. |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.getbeaned.me/bot-documentation/topic-switches.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
